@text-color: fade(@black, 85%);
 @primary-color: #1890ff;
/* stylelint-disable at-rule-empty-line-before,at-rule-name-space-after,at-rule-no-unknown */
/* stylelint-disable no-duplicate-selectors */
/* stylelint-disable */
 .bezierEasingMixin() {
     @functions: ~`(function() {
         var NEWTON_ITERATIONS = 4;
         var NEWTON_MIN_SLOPE = 0.001;
         var SUBDIVISION_PRECISION = 0.0000001;
         var SUBDIVISION_MAX_ITERATIONS = 10;
         var kSplineTableSize = 11;
         var kSampleStepSize = 1.0 / (kSplineTableSize - 1.0);
         var float32ArraySupported = typeof Float32Array === 'function';
         function A (aA1, aA2) {
             return 1.0 - 3.0 * aA2 + 3.0 * aA1;
        }
         function B (aA1, aA2) {
             return 3.0 * aA2 - 6.0 * aA1;
        }
         function C (aA1) {
             return 3.0 * aA1;
        }
         function calcBezier (aT, aA1, aA2) {
             return ((A(aA1, aA2) * aT + B(aA1, aA2)) * aT + C(aA1)) * aT;
        }
         function getSlope (aT, aA1, aA2) {
             return 3.0 * A(aA1, aA2) * aT * aT + 2.0 * B(aA1, aA2) * aT + C(aA1);
        }
         function binarySubdivide (aX, aA, aB, mX1, mX2) {
             var currentX, currentT, i = 0;
             do {
                 currentT = aA + (aB - aA) / 2.0;
                 currentX = calcBezier(currentT, mX1, mX2) - aX;
                 if (currentX > 0.0) {
                     aB = currentT;
                }
                 else {
                     aA = currentT;
                }
            }
             while (Math.abs(currentX) > SUBDIVISION_PRECISION && ++i < SUBDIVISION_MAX_ITERATIONS);
             return currentT;
        }
         function newtonRaphsonIterate (aX, aGuessT, mX1, mX2) {
             for (var i = 0;
             i < NEWTON_ITERATIONS;
             ++i) {
                 var currentSlope = getSlope(aGuessT, mX1, mX2);
                 if (currentSlope === 0.0) {
                     return aGuessT;
                }
                 var currentX = calcBezier(aGuessT, mX1, mX2) - aX;
                 aGuessT -= currentX / currentSlope;
            }
             return aGuessT;
        }
         var BezierEasing = function (mX1, mY1, mX2, mY2) {
             if (!(0 <= mX1 && mX1 <= 1 && 0 <= mX2 && mX2 <= 1)) {
                 throw new Error('bezier x values must be in [0, 1] range');
            }
             var sampleValues = float32ArraySupported ? new Float32Array(kSplineTableSize) : new Array(kSplineTableSize);
             if (mX1 !== mY1 || mX2 !== mY2) {
                 for (var i = 0;
                 i < kSplineTableSize;
                 ++i) {
                     sampleValues[i] = calcBezier(i * kSampleStepSize, mX1, mX2);
                }
            }
             function getTForX (aX) {
                 var intervalStart = 0.0;
                 var currentSample = 1;
                 var lastSample = kSplineTableSize - 1;
                 for (;
                 currentSample !== lastSample && sampleValues[currentSample] <= aX;
                 ++currentSample) {
                     intervalStart += kSampleStepSize;
                }
                 --currentSample;
                 var dist = (aX - sampleValues[currentSample]) / (sampleValues[currentSample + 1] - sampleValues[currentSample]);
                 var guessForT = intervalStart + dist * kSampleStepSize;
                 var initialSlope = getSlope(guessForT, mX1, mX2);
                 if (initialSlope >= NEWTON_MIN_SLOPE) {
                     return newtonRaphsonIterate(aX, guessForT, mX1, mX2);
                }
                 else if (initialSlope === 0.0) {
                     return guessForT;
                }
                 else {
                     return binarySubdivide(aX, intervalStart, intervalStart + kSampleStepSize, mX1, mX2);
                }
            }
             return function BezierEasing (x) {
                 if (mX1 === mY1 && mX2 === mY2) {
                     return x;
                }
                 if (x === 0) {
                     return 0;
                }
                 if (x === 1) {
                     return 1;
                }
                 return calcBezier(getTForX(x), mY1, mY2);
            }
             ;
        }
         ;
         this.colorEasing = BezierEasing(0.26, 0.09, 0.37, 0.18);
         return '';
    }
     )()`;
}
 .bezierEasingMixin();
/* stylelint-disable declaration-bang-space-before,no-duplicate-selectors,string-no-newline */
 .tinyColorMixin() {
     @functions: ~`(function() {
         var trimLeft = /^\s+/, trimRight = /\s+$/, tinyCounter = 0, mathRound = Math.round, mathMin = Math.min, mathMax = Math.max, mathRandom = Math.random;
         function tinycolor (color, opts) {
             color = (color) ? color : '';
             opts = opts || {
            }
             ;
             if (color instanceof tinycolor) {
                 return color;
            }
             if (!(this instanceof tinycolor)) {
                 return new tinycolor(color, opts);
            }
             var rgb = inputToRGB(color);
             this._originalInput = color, this._r = rgb.r, this._g = rgb.g, this._b = rgb.b, this._a = rgb.a, this._roundA = mathRound(100*this._a) / 100, this._format = opts.format || rgb.format;
             this._gradientType = opts.gradientType;
             if (this._r < 1) {
                 this._r = mathRound(this._r);
            }
             if (this._g < 1) {
                 this._g = mathRound(this._g);
            }
             if (this._b < 1) {
                 this._b = mathRound(this._b);
            }
             this._ok = rgb.ok;
             this._tc_id = tinyCounter++;
        }
         tinycolor.prototype = {
             isDark: function() {
                 return this.getBrightness() < 128;
            }
             , isLight: function() {
                 return !this.isDark();
            }
             , isValid: function() {
                 return this._ok;
            }
             , getOriginalInput: function() {
                 return this._originalInput;
            }
             , getFormat: function() {
                 return this._format;
            }
             , getAlpha: function() {
                 return this._a;
            }
             , getBrightness: function() {
                 var rgb = this.toRgb();
                 return (rgb.r * 299 + rgb.g * 587 + rgb.b * 114) / 1000;
            }
             , getLuminance: function() {
                 var rgb = this.toRgb();
                 var RsRGB, GsRGB, BsRGB, R, G, B;
                 RsRGB = rgb.r/255;
                 GsRGB = rgb.g/255;
                 BsRGB = rgb.b/255;
                 if (RsRGB <= 0.03928) {
                     R = RsRGB / 12.92;
                }
                 else {
                     R = Math.pow(((RsRGB + 0.055) / 1.055), 2.4);
                }
                 if (GsRGB <= 0.03928) {
                     G = GsRGB / 12.92;
                }
                 else {
                     G = Math.pow(((GsRGB + 0.055) / 1.055), 2.4);
                }
                 if (BsRGB <= 0.03928) {
                     B = BsRGB / 12.92;
                }
                 else {
                     B = Math.pow(((BsRGB + 0.055) / 1.055), 2.4);
                }
                 return (0.2126 * R) + (0.7152 * G) + (0.0722 * B);
            }
             , setAlpha: function(value) {
                 this._a = boundAlpha(value);
                 this._roundA = mathRound(100*this._a) / 100;
                 return this;
            }
             , toHsv: function() {
                 var hsv = rgbToHsv(this._r, this._g, this._b);
                 return {
                     h: hsv.h * 360, s: hsv.s, v: hsv.v, a: this._a 
                }
                 ;
            }
             , toHsvString: function() {
                 var hsv = rgbToHsv(this._r, this._g, this._b);
                 var h = mathRound(hsv.h * 360), s = mathRound(hsv.s * 100), v = mathRound(hsv.v * 100);
                 return (this._a == 1) ? "hsv(" + h + ", " + s + "%, " + v + "%)" : "hsva(" + h + ", " + s + "%, " + v + "%, "+ this._roundA + ")";
            }
             , toHsl: function() {
                 var hsl = rgbToHsl(this._r, this._g, this._b);
                 return {
                     h: hsl.h * 360, s: hsl.s, l: hsl.l, a: this._a 
                }
                 ;
            }
             , toHslString: function() {
                 var hsl = rgbToHsl(this._r, this._g, this._b);
                 var h = mathRound(hsl.h * 360), s = mathRound(hsl.s * 100), l = mathRound(hsl.l * 100);
                 return (this._a == 1) ? "hsl(" + h + ", " + s + "%, " + l + "%)" : "hsla(" + h + ", " + s + "%, " + l + "%, "+ this._roundA + ")";
            }
             , toHex: function(allow3Char) {
                 return rgbToHex(this._r, this._g, this._b, allow3Char);
            }
             , toHexString: function(allow3Char) {
                 return '#' + this.toHex(allow3Char);
            }
             , toHex8: function(allow4Char) {
                 return rgbaToHex(this._r, this._g, this._b, this._a, allow4Char);
            }
             , toHex8String: function(allow4Char) {
                 return '#' + this.toHex8(allow4Char);
            }
             , toRgb: function() {
                 return {
                     r: mathRound(this._r), g: mathRound(this._g), b: mathRound(this._b), a: this._a 
                }
                 ;
            }
             , toRgbString: function() {
                 return (this._a == 1) ? "rgb(" + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ")" : "rgba(" + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ", " + this._roundA + ")";
            }
             , toPercentageRgb: function() {
                 return {
                     r: mathRound(bound01(this._r, 255) * 100) + "%", g: mathRound(bound01(this._g, 255) * 100) + "%", b: mathRound(bound01(this._b, 255) * 100) + "%", a: this._a 
                }
                 ;
            }
             , toPercentageRgbString: function() {
                 return (this._a == 1) ? "rgb(" + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%)" : "rgba(" + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%, " + this._roundA + ")";
            }
             , toName: function() {
                 if (this._a === 0) {
                     return "transparent";
                }
                 if (this._a < 1) {
                     return false;
                }
                 return hexNames[rgbToHex(this._r, this._g, this._b, true)] || false;
            }
             , toFilter: function(secondColor) {
                 var hex8String = '#' + rgbaToArgbHex(this._r, this._g, this._b, this._a);
                 var secondHex8String = hex8String;
                 var gradientType = this._gradientType ? "GradientType = 1, " : "";
                 if (secondColor) {
                     var s = tinycolor(secondColor);
                     secondHex8String = '#' + rgbaToArgbHex(s._r, s._g, s._b, s._a);
                }
                 return "progid:DXImageTransform.Microsoft.gradient("+gradientType+"startColorstr="+hex8String+",endColorstr="+secondHex8String+")";
            }
             , toString: function(format) {
                 var formatSet = !!format;
                 format = format || this._format;
                 var formattedString = false;
                 var hasAlpha = this._a < 1 && this._a >= 0;
                 var needsAlphaFormat = !formatSet && hasAlpha && (format === "hex" || format === "hex6" || format === "hex3" || format === "hex4" || format === "hex8" || format === "name");
                 if (needsAlphaFormat) {
                     if (format === "name" && this._a === 0) {
                         return this.toName();
                    }
                     return this.toRgbString();
                }
                 if (format === "rgb") {
                     formattedString = this.toRgbString();
                }
                 if (format === "prgb") {
                     formattedString = this.toPercentageRgbString();
                }
                 if (format === "hex" || format === "hex6") {
                     formattedString = this.toHexString();
                }
                 if (format === "hex3") {
                     formattedString = this.toHexString(true);
                }
                 if (format === "hex4") {
                     formattedString = this.toHex8String(true);
                }
                 if (format === "hex8") {
                     formattedString = this.toHex8String();
                }
                 if (format === "name") {
                     formattedString = this.toName();
                }
                 if (format === "hsl") {
                     formattedString = this.toHslString();
                }
                 if (format === "hsv") {
                     formattedString = this.toHsvString();
                }
                 return formattedString || this.toHexString();
            }
             , clone: function() {
                 return tinycolor(this.toString());
            }
             , _applyModification: function(fn, args) {
                 var color = fn.apply(null, [this].concat([].slice.call(args)));
                 this._r = color._r;
                 this._g = color._g;
                 this._b = color._b;
                 this.setAlpha(color._a);
                 return this;
            }
             , lighten: function() {
                 return this._applyModification(lighten, arguments);
            }
             , brighten: function() {
                 return this._applyModification(brighten, arguments);
            }
             , darken: function() {
                 return this._applyModification(darken, arguments);
            }
             , desaturate: function() {
                 return this._applyModification(desaturate, arguments);
            }
             , saturate: function() {
                 return this._applyModification(saturate, arguments);
            }
             , greyscale: function() {
                 return this._applyModification(greyscale, arguments);
            }
             , spin: function() {
                 return this._applyModification(spin, arguments);
            }
             , _applyCombination: function(fn, args) {
                 return fn.apply(null, [this].concat([].slice.call(args)));
            }
             , analogous: function() {
                 return this._applyCombination(analogous, arguments);
            }
             , complement: function() {
                 return this._applyCombination(complement, arguments);
            }
             , monochromatic: function() {
                 return this._applyCombination(monochromatic, arguments);
            }
             , splitcomplement: function() {
                 return this._applyCombination(splitcomplement, arguments);
            }
             , triad: function() {
                 return this._applyCombination(triad, arguments);
            }
             , tetrad: function() {
                 return this._applyCombination(tetrad, arguments);
            }
        }
         ;
         tinycolor.fromRatio = function(color, opts) {
             if (typeof color == "object") {
                 var newColor = {
                }
                 ;
                 for (var i in color) {
                     if (color.hasOwnProperty(i)) {
                         if (i === "a") {
                             newColor[i] = color[i];
                        }
                         else {
                             newColor[i] = convertToPercentage(color[i]);
                        }
                    }
                }
                 color = newColor;
            }
             return tinycolor(color, opts);
        }
         ;
         function inputToRGB(color) {
             var rgb = {
                 r: 0, g: 0, b: 0 
            }
             ;
             var a = 1;
             var s = null;
             var v = null;
             var l = null;
             var ok = false;
             var format = false;
             if (typeof color == "string") {
                 color = stringInputToObject(color);
            }
             if (typeof color == "object") {
                 if (isValidCSSUnit(color.r) && isValidCSSUnit(color.g) && isValidCSSUnit(color.b)) {
                     rgb = rgbToRgb(color.r, color.g, color.b);
                     ok = true;
                     format = String(color.r).substr(-1) === "%" ? "prgb" : "rgb";
                }
                 else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.v)) {
                     s = convertToPercentage(color.s);
                     v = convertToPercentage(color.v);
                     rgb = hsvToRgb(color.h, s, v);
                     ok = true;
                     format = "hsv";
                }
                 else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.l)) {
                     s = convertToPercentage(color.s);
                     l = convertToPercentage(color.l);
                     rgb = hslToRgb(color.h, s, l);
                     ok = true;
                     format = "hsl";
                }
                 if (color.hasOwnProperty("a")) {
                     a = color.a;
                }
            }
             a = boundAlpha(a);
             return {
                 ok: ok, format: color.format || format, r: mathMin(255, mathMax(rgb.r, 0)), g: mathMin(255, mathMax(rgb.g, 0)), b: mathMin(255, mathMax(rgb.b, 0)), a: a 
            }
             ;
        }
         function rgbToRgb(r, g, b){
             return {
                 r: bound01(r, 255) * 255, g: bound01(g, 255) * 255, b: bound01(b, 255) * 255 
            }
             ;
        }
         function rgbToHsl(r, g, b) {
             r = bound01(r, 255);
             g = bound01(g, 255);
             b = bound01(b, 255);
             var max = mathMax(r, g, b), min = mathMin(r, g, b);
             var h, s, l = (max + min) / 2;
             if(max == min) {
                 h = s = 0;
            }
             else {
                 var d = max - min;
                 s = l > 0.5 ? d / (2 - max - min) : d / (max + min);
                 switch(max) {
                     case r: h = (g - b) / d + (g < b ? 6 : 0);
                     break;
                     case g: h = (b - r) / d + 2;
                     break;
                     case b: h = (r - g) / d + 4;
                     break;
                }
                 h /= 6;
            }
             return {
                 h: h, s: s, l: l 
            }
             ;
        }
         function hslToRgb(h, s, l) {
             var r, g, b;
             h = bound01(h, 360);
             s = bound01(s, 100);
             l = bound01(l, 100);
             function hue2rgb(p, q, t) {
                 if(t < 0) t += 1;
                 if(t > 1) t -= 1;
                 if(t < 1/6) return p + (q - p) * 6 * t;
                 if(t < 1/2) return q;
                 if(t < 2/3) return p + (q - p) * (2/3 - t) * 6;
                 return p;
            }
             if(s === 0) {
                 r = g = b = l;
            }
             else {
                 var q = l < 0.5 ? l * (1 + s) : l + s - l * s;
                 var p = 2 * l - q;
                 r = hue2rgb(p, q, h + 1/3);
                 g = hue2rgb(p, q, h);
                 b = hue2rgb(p, q, h - 1/3);
            }
             return {
                 r: r * 255, g: g * 255, b: b * 255 
            }
             ;
        }
         function rgbToHsv(r, g, b) {
             r = bound01(r, 255);
             g = bound01(g, 255);
             b = bound01(b, 255);
             var max = mathMax(r, g, b), min = mathMin(r, g, b);
             var h, s, v = max;
             var d = max - min;
             s = max === 0 ? 0 : d / max;
             if(max == min) {
                 h = 0;
            }
             else {
                 switch(max) {
                     case r: h = (g - b) / d + (g < b ? 6 : 0);
                     break;
                     case g: h = (b - r) / d + 2;
                     break;
                     case b: h = (r - g) / d + 4;
                     break;
                }
                 h /= 6;
            }
             return {
                 h: h, s: s, v: v 
            }
             ;
        }
         function hsvToRgb(h, s, v) {
             h = bound01(h, 360) * 6;
             s = bound01(s, 100);
             v = bound01(v, 100);
             var i = Math.floor(h), f = h - i, p = v * (1 - s), q = v * (1 - f * s), t = v * (1 - (1 - f) * s), mod = i % 6, r = [v, q, p, p, t, v][mod], g = [t, v, v, q, p, p][mod], b = [p, p, t, v, v, q][mod];
             return {
                 r: r * 255, g: g * 255, b: b * 255 
            }
             ;
        }
         function rgbToHex(r, g, b, allow3Char) {
             var hex = [ pad2(mathRound(r).toString(16)), pad2(mathRound(g).toString(16)), pad2(mathRound(b).toString(16)) ];
             if (allow3Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1)) {
                 return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0);
            }
             return hex.join("");
        }
         function rgbaToHex(r, g, b, a, allow4Char) {
             var hex = [ pad2(mathRound(r).toString(16)), pad2(mathRound(g).toString(16)), pad2(mathRound(b).toString(16)), pad2(convertDecimalToHex(a)) ];
             if (allow4Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1) && hex[3].charAt(0) == hex[3].charAt(1)) {
                 return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0) + hex[3].charAt(0);
            }
             return hex.join("");
        }
         function rgbaToArgbHex(r, g, b, a) {
             var hex = [ pad2(convertDecimalToHex(a)), pad2(mathRound(r).toString(16)), pad2(mathRound(g).toString(16)), pad2(mathRound(b).toString(16)) ];
             return hex.join("");
        }
         tinycolor.equals = function (color1, color2) {
             if (!color1 || !color2) {
                 return false;
            }
             return tinycolor(color1).toRgbString() == tinycolor(color2).toRgbString();
        }
         ;
         tinycolor.random = function() {
             return tinycolor.fromRatio({
                 r: mathRandom(), g: mathRandom(), b: mathRandom() 
            }
             );
        }
         ;
         function desaturate(color, amount) {
             amount = (amount === 0) ? 0 : (amount || 10);
             var hsl = tinycolor(color).toHsl();
             hsl.s -= amount / 100;
             hsl.s = clamp01(hsl.s);
             return tinycolor(hsl);
        }
         function saturate(color, amount) {
             amount = (amount === 0) ? 0 : (amount || 10);
             var hsl = tinycolor(color).toHsl();
             hsl.s += amount / 100;
             hsl.s = clamp01(hsl.s);
             return tinycolor(hsl);
        }
         function greyscale(color) {
             return tinycolor(color).desaturate(100);
        }
         function lighten (color, amount) {
             amount = (amount === 0) ? 0 : (amount || 10);
             var hsl = tinycolor(color).toHsl();
             hsl.l += amount / 100;
             hsl.l = clamp01(hsl.l);
             return tinycolor(hsl);
        }
         function brighten(color, amount) {
             amount = (amount === 0) ? 0 : (amount || 10);
             var rgb = tinycolor(color).toRgb();
             rgb.r = mathMax(0, mathMin(255, rgb.r - mathRound(255 * - (amount / 100))));
             rgb.g = mathMax(0, mathMin(255, rgb.g - mathRound(255 * - (amount / 100))));
             rgb.b = mathMax(0, mathMin(255, rgb.b - mathRound(255 * - (amount / 100))));
             return tinycolor(rgb);
        }
         function darken (color, amount) {
             amount = (amount === 0) ? 0 : (amount || 10);
             var hsl = tinycolor(color).toHsl();
             hsl.l -= amount / 100;
             hsl.l = clamp01(hsl.l);
             return tinycolor(hsl);
        }
         function spin(color, amount) {
             var hsl = tinycolor(color).toHsl();
             var hue = (hsl.h + amount) % 360;
             hsl.h = hue < 0 ? 360 + hue : hue;
             return tinycolor(hsl);
        }
         function complement(color) {
             var hsl = tinycolor(color).toHsl();
             hsl.h = (hsl.h + 180) % 360;
             return tinycolor(hsl);
        }
         function triad(color) {
             var hsl = tinycolor(color).toHsl();
             var h = hsl.h;
             return [ tinycolor(color), tinycolor({
                 h: (h + 120) % 360, s: hsl.s, l: hsl.l 
            }
             ), tinycolor({
                 h: (h + 240) % 360, s: hsl.s, l: hsl.l 
            }
             ) ];
        }
         function tetrad(color) {
             var hsl = tinycolor(color).toHsl();
             var h = hsl.h;
             return [ tinycolor(color), tinycolor({
                 h: (h + 90) % 360, s: hsl.s, l: hsl.l 
            }
             ), tinycolor({
                 h: (h + 180) % 360, s: hsl.s, l: hsl.l 
            }
             ), tinycolor({
                 h: (h + 270) % 360, s: hsl.s, l: hsl.l 
            }
             ) ];
        }
         function splitcomplement(color) {
             var hsl = tinycolor(color).toHsl();
             var h = hsl.h;
             return [ tinycolor(color), tinycolor({
                 h: (h + 72) % 360, s: hsl.s, l: hsl.l 
            }
             ), tinycolor({
                 h: (h + 216) % 360, s: hsl.s, l: hsl.l 
            }
             ) ];
        }
         function analogous(color, results, slices) {
             results = results || 6;
             slices = slices || 30;
             var hsl = tinycolor(color).toHsl();
             var part = 360 / slices;
             var ret = [tinycolor(color)];
             for (hsl.h = ((hsl.h - (part * results >> 1)) + 720) % 360;
             --results;
             ) {
                 hsl.h = (hsl.h + part) % 360;
                 ret.push(tinycolor(hsl));
            }
             return ret;
        }
         function monochromatic(color, results) {
             results = results || 6;
             var hsv = tinycolor(color).toHsv();
             var h = hsv.h, s = hsv.s, v = hsv.v;
             var ret = [];
             var modification = 1 / results;
             while (results--) {
                 ret.push(tinycolor({
                     h: h, s: s, v: v 
                }
                 ));
                 v = (v + modification) % 1;
            }
             return ret;
        }
         tinycolor.mix = function(color1, color2, amount) {
             amount = (amount === 0) ? 0 : (amount || 50);
             var rgb1 = tinycolor(color1).toRgb();
             var rgb2 = tinycolor(color2).toRgb();
             var p = amount / 100;
             var rgba = {
                 r: ((rgb2.r - rgb1.r) * p) + rgb1.r, g: ((rgb2.g - rgb1.g) * p) + rgb1.g, b: ((rgb2.b - rgb1.b) * p) + rgb1.b, a: ((rgb2.a - rgb1.a) * p) + rgb1.a 
            }
             ;
             return tinycolor(rgba);
        }
         ;
         tinycolor.readability = function(color1, color2) {
             var c1 = tinycolor(color1);
             var c2 = tinycolor(color2);
             return (Math.max(c1.getLuminance(),c2.getLuminance())+0.05) / (Math.min(c1.getLuminance(),c2.getLuminance())+0.05);
        }
         ;
         tinycolor.isReadable = function(color1, color2, wcag2) {
             var readability = tinycolor.readability(color1, color2);
             var wcag2Parms, out;
             out = false;
             wcag2Parms = validateWCAG2Parms(wcag2);
             switch (wcag2Parms.level + wcag2Parms.size) {
                 case "AAsmall": case "AAAlarge": out = readability >= 4.5;
                 break;
                 case "AAlarge": out = readability >= 3;
                 break;
                 case "AAAsmall": out = readability >= 7;
                 break;
            }
             return out;
        }
         ;
         tinycolor.mostReadable = function(baseColor, colorList, args) {
             var bestColor = null;
             var bestScore = 0;
             var readability;
             var includeFallbackColors, level, size ;
             args = args || {
            }
             ;
             includeFallbackColors = args.includeFallbackColors ;
             level = args.level;
             size = args.size;
             for (var i= 0;
             i < colorList.length ;
             i++) {
                 readability = tinycolor.readability(baseColor, colorList[i]);
                 if (readability > bestScore) {
                     bestScore = readability;
                     bestColor = tinycolor(colorList[i]);
                }
            }
             if (tinycolor.isReadable(baseColor, bestColor, {
                 "level":level,"size":size 
            }
             ) || !includeFallbackColors) {
                 return bestColor;
            }
             else {
                 args.includeFallbackColors=false;
                 return tinycolor.mostReadable(baseColor,["#fff", "#000"],args);
            }
        }
         ;
         var names = tinycolor.names = {
             aliceblue: "f0f8ff", antiquewhite: "faebd7", aqua: "0ff", aquamarine: "7fffd4", azure: "f0ffff", beige: "f5f5dc", bisque: "ffe4c4", black: "000", blanchedalmond: "ffebcd", blue: "00f", blueviolet: "8a2be2", brown: "a52a2a", burlywood: "deb887", burntsienna: "ea7e5d", cadetblue: "5f9ea0", chartreuse: "7fff00", chocolate: "d2691e", coral: "ff7f50", cornflowerblue: "6495ed", cornsilk: "fff8dc", crimson: "dc143c", cyan: "0ff", darkblue: "00008b", darkcyan: "008b8b", darkgoldenrod: "b8860b", darkgray: "a9a9a9", darkgreen: "006400", darkgrey: "a9a9a9", darkkhaki: "bdb76b", darkmagenta: "8b008b", darkolivegreen: "556b2f", darkorange: "ff8c00", darkorchid: "9932cc", darkred: "8b0000", darksalmon: "e9967a", darkseagreen: "8fbc8f", darkslateblue: "483d8b", darkslategray: "2f4f4f", darkslategrey: "2f4f4f", darkturquoise: "00ced1", darkviolet: "9400d3", deeppink: "ff1493", deepskyblue: "00bfff", dimgray: "696969", dimgrey: "696969", dodgerblue: "1e90ff", firebrick: "b22222", floralwhite: "fffaf0", forestgreen: "228b22", fuchsia: "f0f", gainsboro: "dcdcdc", ghostwhite: "f8f8ff", gold: "ffd700", goldenrod: "daa520", gray: "808080", green: "008000", greenyellow: "adff2f", grey: "808080", honeydew: "f0fff0", hotpink: "ff69b4", indianred: "cd5c5c", indigo: "4b0082", ivory: "fffff0", khaki: "f0e68c", lavender: "e6e6fa", lavenderblush: "fff0f5", lawngreen: "7cfc00", lemonchiffon: "fffacd", lightblue: "add8e6", lightcoral: "f08080", lightcyan: "e0ffff", lightgoldenrodyellow: "fafad2", lightgray: "d3d3d3", lightgreen: "90ee90", lightgrey: "d3d3d3", lightpink: "ffb6c1", lightsalmon: "ffa07a", lightseagreen: "20b2aa", lightskyblue: "87cefa", lightslategray: "789", lightslategrey: "789", lightsteelblue: "b0c4de", lightyellow: "ffffe0", lime: "0f0", limegreen: "32cd32", linen: "faf0e6", magenta: "f0f", maroon: "800000", mediumaquamarine: "66cdaa", mediumblue: "0000cd", mediumorchid: "ba55d3", mediumpurple: "9370db", mediumseagreen: "3cb371", mediumslateblue: "7b68ee", mediumspringgreen: "00fa9a", mediumturquoise: "48d1cc", mediumvioletred: "c71585", midnightblue: "191970", mintcream: "f5fffa", mistyrose: "ffe4e1", moccasin: "ffe4b5", navajowhite: "ffdead", navy: "000080", oldlace: "fdf5e6", olive: "808000", olivedrab: "6b8e23", orange: "ffa500", orangered: "ff4500", orchid: "da70d6", palegoldenrod: "eee8aa", palegreen: "98fb98", paleturquoise: "afeeee", palevioletred: "db7093", papayawhip: "ffefd5", peachpuff: "ffdab9", peru: "cd853f", pink: "ffc0cb", plum: "dda0dd", powderblue: "b0e0e6", purple: "800080", rebeccapurple: "663399", red: "f00", rosybrown: "bc8f8f", royalblue: "4169e1", saddlebrown: "8b4513", salmon: "fa8072", sandybrown: "f4a460", seagreen: "2e8b57", seashell: "fff5ee", sienna: "a0522d", silver: "c0c0c0", skyblue: "87ceeb", slateblue: "6a5acd", slategray: "708090", slategrey: "708090", snow: "fffafa", springgreen: "00ff7f", steelblue: "4682b4", tan: "d2b48c", teal: "008080", thistle: "d8bfd8", tomato: "ff6347", turquoise: "40e0d0", violet: "ee82ee", wheat: "f5deb3", white: "fff", whitesmoke: "f5f5f5", yellow: "ff0", yellowgreen: "9acd32" 
        }
         ;
         var hexNames = tinycolor.hexNames = flip(names);
         function flip(o) {
             var flipped = {
            }
             ;
             for (var i in o) {
                 if (o.hasOwnProperty(i)) {
                     flipped[o[i]] = i;
                }
            }
             return flipped;
        }
         function boundAlpha(a) {
             a = parseFloat(a);
             if (isNaN(a) || a < 0 || a > 1) {
                 a = 1;
            }
             return a;
        }
         function bound01(n, max) {
             if (isOnePointZero(n)) {
                 n = "100%";
            }
             var processPercent = isPercentage(n);
             n = mathMin(max, mathMax(0, parseFloat(n)));
             if (processPercent) {
                 n = parseInt(n * max, 10) / 100;
            }
             if ((Math.abs(n - max) < 0.000001)) {
                 return 1;
            }
             return (n % max) / parseFloat(max);
        }
         function clamp01(val) {
             return mathMin(1, mathMax(0, val));
        }
         function parseIntFromHex(val) {
             return parseInt(val, 16);
        }
         function isOnePointZero(n) {
             return typeof n == "string" && n.indexOf('.') != -1 && parseFloat(n) === 1;
        }
         function isPercentage(n) {
             return typeof n === "string" && n.indexOf('%') != -1;
        }
         function pad2(c) {
             return c.length == 1 ? '0' + c : '' + c;
        }
         function convertToPercentage(n) {
             if (n <= 1) {
                 n = (n * 100) + "%";
            }
             return n;
        }
         function convertDecimalToHex(d) {
             return Math.round(parseFloat(d) * 255).toString(16);
        }
         function convertHexToDecimal(h) {
             return (parseIntFromHex(h) / 255);
        }
         var matchers = (function() {
             var CSS_INTEGER = "[-\\+]?\\d+%?";
             var CSS_NUMBER = "[-\\+]?\\d*\\.\\d+%?";
             var CSS_UNIT = "(?:" + CSS_NUMBER + ")|(?:" + CSS_INTEGER + ")";
             var PERMISSIVE_MATCH3 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
             var PERMISSIVE_MATCH4 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
             return {
                 CSS_UNIT: new RegExp(CSS_UNIT), rgb: new RegExp("rgb" + PERMISSIVE_MATCH3), rgba: new RegExp("rgba" + PERMISSIVE_MATCH4), hsl: new RegExp("hsl" + PERMISSIVE_MATCH3), hsla: new RegExp("hsla" + PERMISSIVE_MATCH4), hsv: new RegExp("hsv" + PERMISSIVE_MATCH3), hsva: new RegExp("hsva" + PERMISSIVE_MATCH4), hex3: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/, hex6: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/, hex4: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/, hex8: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/ 
            }
             ;
        }
         )();
         function isValidCSSUnit(color) {
             return !!matchers.CSS_UNIT.exec(color);
        }
         function stringInputToObject(color) {
             color = color.replace(trimLeft, '').replace(trimRight, '').toLowerCase();
             var named = false;
             if (names[color]) {
                 color = names[color];
                 named = true;
            }
             else if (color == 'transparent') {
                 return {
                     r: 0, g: 0, b: 0, a: 0, format: "name" 
                }
                 ;
            }
             var match;
             if ((match = matchers.rgb.exec(color))) {
                 return {
                     r: match[1], g: match[2], b: match[3] 
                }
                 ;
            }
             if ((match = matchers.rgba.exec(color))) {
                 return {
                     r: match[1], g: match[2], b: match[3], a: match[4] 
                }
                 ;
            }
             if ((match = matchers.hsl.exec(color))) {
                 return {
                     h: match[1], s: match[2], l: match[3] 
                }
                 ;
            }
             if ((match = matchers.hsla.exec(color))) {
                 return {
                     h: match[1], s: match[2], l: match[3], a: match[4] 
                }
                 ;
            }
             if ((match = matchers.hsv.exec(color))) {
                 return {
                     h: match[1], s: match[2], v: match[3] 
                }
                 ;
            }
             if ((match = matchers.hsva.exec(color))) {
                 return {
                     h: match[1], s: match[2], v: match[3], a: match[4] 
                }
                 ;
            }
             if ((match = matchers.hex8.exec(color))) {
                 return {
                     r: parseIntFromHex(match[1]), g: parseIntFromHex(match[2]), b: parseIntFromHex(match[3]), a: convertHexToDecimal(match[4]), format: named ? "name" : "hex8" 
                }
                 ;
            }
             if ((match = matchers.hex6.exec(color))) {
                 return {
                     r: parseIntFromHex(match[1]), g: parseIntFromHex(match[2]), b: parseIntFromHex(match[3]), format: named ? "name" : "hex" 
                }
                 ;
            }
             if ((match = matchers.hex4.exec(color))) {
                 return {
                     r: parseIntFromHex(match[1] + '' + match[1]), g: parseIntFromHex(match[2] + '' + match[2]), b: parseIntFromHex(match[3] + '' + match[3]), a: convertHexToDecimal(match[4] + '' + match[4]), format: named ? "name" : "hex8" 
                }
                 ;
            }
             if ((match = matchers.hex3.exec(color))) {
                 return {
                     r: parseIntFromHex(match[1] + '' + match[1]), g: parseIntFromHex(match[2] + '' + match[2]), b: parseIntFromHex(match[3] + '' + match[3]), format: named ? "name" : "hex" 
                }
                 ;
            }
             return false;
        }
         function validateWCAG2Parms(parms) {
             var level, size;
             parms = parms || {
                 "level":"AA", "size":"small" 
            }
             ;
             level = (parms.level || "AA").toUpperCase();
             size = (parms.size || "small").toLowerCase();
             if (level !== "AA" && level !== "AAA") {
                 level = "AA";
            }
             if (size !== "small" && size !== "large") {
                 size = "small";
            }
             return {
                 "level":level, "size":size 
            }
             ;
        }
         this.tinycolor = tinycolor;
    }
     )()`;
}
 .tinyColorMixin();
 .colorPaletteMixin() {
     @functions: ~`(function() {
         var hueStep = 2;
         var saturationStep = 0.16;
         var saturationStep2 = 0.05;
         var brightnessStep1 = 0.05;
         var brightnessStep2 = 0.15;
         var lightColorCount = 5;
         var darkColorCount = 4;
         var getHue = function(hsv, i, isLight) {
             var hue;
             if (hsv.h >= 60 && hsv.h <= 240) {
                 hue = isLight ? hsv.h - hueStep * i : hsv.h + hueStep * i;
            }
             else {
                 hue = isLight ? hsv.h + hueStep * i : hsv.h - hueStep * i;
            }
             if (hue < 0) {
                 hue += 360;
            }
             else if (hue >= 360) {
                 hue -= 360;
            }
             return Math.round(hue);
        }
         ;
         var getSaturation = function(hsv, i, isLight) {
             var saturation;
             if (isLight) {
                 saturation = hsv.s - saturationStep * i;
            }
             else if (i === darkColorCount) {
                 saturation = hsv.s + saturationStep;
            }
             else {
                 saturation = hsv.s + saturationStep2 * i;
            }
             if (saturation > 1) {
                 saturation = 1;
            }
             if (isLight && i === lightColorCount && saturation > 0.1) {
                 saturation = 0.1;
            }
             if (saturation < 0.06) {
                 saturation = 0.06;
            }
             return Number(saturation.toFixed(2));
        }
         ;
         var getValue = function(hsv, i, isLight) {
             var value;
             if (isLight) {
                 value = hsv.v + brightnessStep1 * i;
            }
             else{
                 value = hsv.v - brightnessStep2 * i 
            }
             if (value > 1) {
                 value = 1;
            }
             return Number(value.toFixed(2)) 
        }
         ;
         this.colorPalette = function(color, index) {
             var isLight = index <= 6;
             var hsv = tinycolor(color).toHsv();
             var i = isLight ? lightColorCount + 1 - index : index - lightColorCount - 1;
             return tinycolor({
                 h: getHue(hsv, i, isLight), s: getSaturation(hsv, i, isLight), v: getValue(hsv, i, isLight), 
            }
             ).toHexString();
        }
         ;
    }
     )()`;
}
 .colorPaletteMixin();
 @blue-base: #1890ff;
 @blue-1: color(~`colorPalette('@{blue-6}', 1) `);
 @blue-2: color(~`colorPalette('@{blue-6}', 2) `);
 @blue-3: color(~`colorPalette('@{blue-6}', 3) `);
 @blue-4: color(~`colorPalette('@{blue-6}', 4) `);
 @blue-5: color(~`colorPalette('@{blue-6}', 5) `);
 @blue-6: @blue-base;
 @blue-7: color(~`colorPalette('@{blue-6}', 7) `);
 @blue-8: color(~`colorPalette('@{blue-6}', 8) `);
 @blue-9: color(~`colorPalette('@{blue-6}', 9) `);
 @blue-10: color(~`colorPalette('@{blue-6}', 10) `);
 @purple-base: #722ed1;
 @purple-1: color(~`colorPalette('@{purple-6}', 1) `);
 @purple-2: color(~`colorPalette('@{purple-6}', 2) `);
 @purple-3: color(~`colorPalette('@{purple-6}', 3) `);
 @purple-4: color(~`colorPalette('@{purple-6}', 4) `);
 @purple-5: color(~`colorPalette('@{purple-6}', 5) `);
 @purple-6: @purple-base;
 @purple-7: color(~`colorPalette('@{purple-6}', 7) `);
 @purple-8: color(~`colorPalette('@{purple-6}', 8) `);
 @purple-9: color(~`colorPalette('@{purple-6}', 9) `);
 @purple-10: color(~`colorPalette('@{purple-6}', 10) `);
 @cyan-base: #13c2c2;
 @cyan-1: color(~`colorPalette('@{cyan-6}', 1) `);
 @cyan-2: color(~`colorPalette('@{cyan-6}', 2) `);
 @cyan-3: color(~`colorPalette('@{cyan-6}', 3) `);
 @cyan-4: color(~`colorPalette('@{cyan-6}', 4) `);
 @cyan-5: color(~`colorPalette('@{cyan-6}', 5) `);
 @cyan-6: @cyan-base;
 @cyan-7: color(~`colorPalette('@{cyan-6}', 7) `);
 @cyan-8: color(~`colorPalette('@{cyan-6}', 8) `);
 @cyan-9: color(~`colorPalette('@{cyan-6}', 9) `);
 @cyan-10: color(~`colorPalette('@{cyan-6}', 10) `);
 @green-base: #52c41a;
 @green-1: color(~`colorPalette('@{green-6}', 1) `);
 @green-2: color(~`colorPalette('@{green-6}', 2) `);
 @green-3: color(~`colorPalette('@{green-6}', 3) `);
 @green-4: color(~`colorPalette('@{green-6}', 4) `);
 @green-5: color(~`colorPalette('@{green-6}', 5) `);
 @green-6: @green-base;
 @green-7: color(~`colorPalette('@{green-6}', 7) `);
 @green-8: color(~`colorPalette('@{green-6}', 8) `);
 @green-9: color(~`colorPalette('@{green-6}', 9) `);
 @green-10: color(~`colorPalette('@{green-6}', 10) `);
 @magenta-base: #eb2f96;
 @magenta-1: color(~`colorPalette('@{magenta-6}', 1) `);
 @magenta-2: color(~`colorPalette('@{magenta-6}', 2) `);
 @magenta-3: color(~`colorPalette('@{magenta-6}', 3) `);
 @magenta-4: color(~`colorPalette('@{magenta-6}', 4) `);
 @magenta-5: color(~`colorPalette('@{magenta-6}', 5) `);
 @magenta-6: @magenta-base;
 @magenta-7: color(~`colorPalette('@{magenta-6}', 7) `);
 @magenta-8: color(~`colorPalette('@{magenta-6}', 8) `);
 @magenta-9: color(~`colorPalette('@{magenta-6}', 9) `);
 @magenta-10: color(~`colorPalette('@{magenta-6}', 10) `);
 @pink-base: #eb2f96;
 @pink-1: color(~`colorPalette('@{pink-6}', 1) `);
 @pink-2: color(~`colorPalette('@{pink-6}', 2) `);
 @pink-3: color(~`colorPalette('@{pink-6}', 3) `);
 @pink-4: color(~`colorPalette('@{pink-6}', 4) `);
 @pink-5: color(~`colorPalette('@{pink-6}', 5) `);
 @pink-6: @pink-base;
 @pink-7: color(~`colorPalette('@{pink-6}', 7) `);
 @pink-8: color(~`colorPalette('@{pink-6}', 8) `);
 @pink-9: color(~`colorPalette('@{pink-6}', 9) `);
 @pink-10: color(~`colorPalette('@{pink-6}', 10) `);
 @red-base: #f5222d;
 @red-1: color(~`colorPalette('@{red-6}', 1) `);
 @red-2: color(~`colorPalette('@{red-6}', 2) `);
 @red-3: color(~`colorPalette('@{red-6}', 3) `);
 @red-4: color(~`colorPalette('@{red-6}', 4) `);
 @red-5: color(~`colorPalette('@{red-6}', 5) `);
 @red-6: @red-base;
 @red-7: color(~`colorPalette('@{red-6}', 7) `);
 @red-8: color(~`colorPalette('@{red-6}', 8) `);
 @red-9: color(~`colorPalette('@{red-6}', 9) `);
 @red-10: color(~`colorPalette('@{red-6}', 10) `);
 @orange-base: #fa8c16;
 @orange-1: color(~`colorPalette('@{orange-6}', 1) `);
 @orange-2: color(~`colorPalette('@{orange-6}', 2) `);
 @orange-3: color(~`colorPalette('@{orange-6}', 3) `);
 @orange-4: color(~`colorPalette('@{orange-6}', 4) `);
 @orange-5: color(~`colorPalette('@{orange-6}', 5) `);
 @orange-6: @orange-base;
 @orange-7: color(~`colorPalette('@{orange-6}', 7) `);
 @orange-8: color(~`colorPalette('@{orange-6}', 8) `);
 @orange-9: color(~`colorPalette('@{orange-6}', 9) `);
 @orange-10: color(~`colorPalette('@{orange-6}', 10) `);
 @yellow-base: #fadb14;
 @yellow-1: color(~`colorPalette('@{yellow-6}', 1) `);
 @yellow-2: color(~`colorPalette('@{yellow-6}', 2) `);
 @yellow-3: color(~`colorPalette('@{yellow-6}', 3) `);
 @yellow-4: color(~`colorPalette('@{yellow-6}', 4) `);
 @yellow-5: color(~`colorPalette('@{yellow-6}', 5) `);
 @yellow-6: @yellow-base;
 @yellow-7: color(~`colorPalette('@{yellow-6}', 7) `);
 @yellow-8: color(~`colorPalette('@{yellow-6}', 8) `);
 @yellow-9: color(~`colorPalette('@{yellow-6}', 9) `);
 @yellow-10: color(~`colorPalette('@{yellow-6}', 10) `);
 @volcano-base: #fa541c;
 @volcano-1: color(~`colorPalette('@{volcano-6}', 1) `);
 @volcano-2: color(~`colorPalette('@{volcano-6}', 2) `);
 @volcano-3: color(~`colorPalette('@{volcano-6}', 3) `);
 @volcano-4: color(~`colorPalette('@{volcano-6}', 4) `);
 @volcano-5: color(~`colorPalette('@{volcano-6}', 5) `);
 @volcano-6: @volcano-base;
 @volcano-7: color(~`colorPalette('@{volcano-6}', 7) `);
 @volcano-8: color(~`colorPalette('@{volcano-6}', 8) `);
 @volcano-9: color(~`colorPalette('@{volcano-6}', 9) `);
 @volcano-10: color(~`colorPalette('@{volcano-6}', 10) `);
 @geekblue-base: #2f54eb;
 @geekblue-1: color(~`colorPalette('@{geekblue-6}', 1) `);
 @geekblue-2: color(~`colorPalette('@{geekblue-6}', 2) `);
 @geekblue-3: color(~`colorPalette('@{geekblue-6}', 3) `);
 @geekblue-4: color(~`colorPalette('@{geekblue-6}', 4) `);
 @geekblue-5: color(~`colorPalette('@{geekblue-6}', 5) `);
 @geekblue-6: @geekblue-base;
 @geekblue-7: color(~`colorPalette('@{geekblue-6}', 7) `);
 @geekblue-8: color(~`colorPalette('@{geekblue-6}', 8) `);
 @geekblue-9: color(~`colorPalette('@{geekblue-6}', 9) `);
 @geekblue-10: color(~`colorPalette('@{geekblue-6}', 10) `);
 @lime-base: #a0d911;
 @lime-1: color(~`colorPalette('@{lime-6}', 1) `);
 @lime-2: color(~`colorPalette('@{lime-6}', 2) `);
 @lime-3: color(~`colorPalette('@{lime-6}', 3) `);
 @lime-4: color(~`colorPalette('@{lime-6}', 4) `);
 @lime-5: color(~`colorPalette('@{lime-6}', 5) `);
 @lime-6: @lime-base;
 @lime-7: color(~`colorPalette('@{lime-6}', 7) `);
 @lime-8: color(~`colorPalette('@{lime-6}', 8) `);
 @lime-9: color(~`colorPalette('@{lime-6}', 9) `);
 @lime-10: color(~`colorPalette('@{lime-6}', 10) `);
 @gold-base: #faad14;
 @gold-1: color(~`colorPalette('@{gold-6}', 1) `);
 @gold-2: color(~`colorPalette('@{gold-6}', 2) `);
 @gold-3: color(~`colorPalette('@{gold-6}', 3) `);
 @gold-4: color(~`colorPalette('@{gold-6}', 4) `);
 @gold-5: color(~`colorPalette('@{gold-6}', 5) `);
 @gold-6: @gold-base;
 @gold-7: color(~`colorPalette('@{gold-6}', 7) `);
 @gold-8: color(~`colorPalette('@{gold-6}', 8) `);
 @gold-9: color(~`colorPalette('@{gold-6}', 9) `);
 @gold-10: color(~`colorPalette('@{gold-6}', 10) `);
 @preset-colors: pink, magenta, red, volcano, orange, yellow, gold, cyan, lime, green, blue, geekblue, purple;
 @theme: default;
 @ant-prefix: ant;
 @html-selector: html;
 @primary-color-hover: color(~`colorPalette('@{primary-color}', 5) `);
 @primary-color-active: color(~`colorPalette('@{primary-color}', 7) `);
 @primary-color-outline: fade(@primary-color, @outline-fade);
 @processing-color: @blue-6;
 @info-color: @primary-color;
 @info-color-deprecated-bg: color(~`colorPalette('@{info-color}', 1) `);
 @info-color-deprecated-border: color(~`colorPalette('@{info-color}', 3) `);
 @success-color: @green-6;
 @success-color-hover: color(~`colorPalette('@{success-color}', 5) `);
 @success-color-active: color(~`colorPalette('@{success-color}', 7) `);
 @success-color-outline: fade(@success-color, @outline-fade);
 @success-color-deprecated-bg: color(~`colorPalette('@{success-color}', 1) `);
 @success-color-deprecated-border: color(~`colorPalette('@{success-color}', 3) `);
 @warning-color: @gold-6;
 @warning-color-hover: color(~`colorPalette('@{warning-color}', 5) `);
 @warning-color-active: color(~`colorPalette('@{warning-color}', 7) `);
 @warning-color-outline: fade(@warning-color, @outline-fade);
 @warning-color-deprecated-bg: color(~`colorPalette('@{warning-color}', 1) `);
 @warning-color-deprecated-border: color(~`colorPalette('@{warning-color}', 3) `);
 @error-color: @red-5;
 @error-color-hover: color(~`colorPalette('@{error-color}', 5) `);
 @error-color-active: color(~`colorPalette('@{error-color}', 7) `);
 @error-color-outline: fade(@error-color, @outline-fade);
 @error-color-deprecated-bg: color(~`colorPalette('@{error-color}', 1) `);
 @error-color-deprecated-border: color(~`colorPalette('@{error-color}', 3) `);
 @highlight-color: @red-5;
 @normal-color: #d9d9d9;
 @white: #fff;
 @black: #000;
 @primary-1: color(~`colorPalette('@{primary-color}', 1) `);
 @primary-2: color(~`colorPalette('@{primary-color}', 2) `);
 @primary-3: color(~`colorPalette('@{primary-color}', 3) `);
 @primary-4: color(~`colorPalette('@{primary-color}', 4) `);
 @primary-5: color( ~`colorPalette('@{primary-color}', 5) ` );
 @primary-6: @primary-color;
 @primary-7: color(~`colorPalette('@{primary-color}', 7) `);
 @primary-8: color(~`colorPalette('@{primary-color}', 8) `);
 @primary-9: color(~`colorPalette('@{primary-color}', 9) `);
 @primary-10: color(~`colorPalette('@{primary-color}', 10) `);
 @body-background: #fff;
 @component-background: #fff;
 @popover-background: @component-background;
 @popover-customize-border-color: @border-color-split;
 @font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, 'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
 @code-family: 'SFMono-Regular', Consolas, 'Liberation Mono', Menlo, Courier, monospace;
 @text-color-secondary: fade(@black, 45%);
 @text-color-inverse: @white;
 @icon-color: inherit;
 @icon-color-hover: fade(@black, 75%);
 @heading-color: fade(@black, 85%);
 @text-color-dark: fade(@white, 85%);
 @text-color-secondary-dark: fade(@white, 65%);
 @text-selection-bg: @primary-color;
 @font-variant-base: tabular-nums;
 @font-feature-settings-base: 'tnum';
 @font-size-base: 1.00000000rem;
 @font-size-lg: @font-size-base + 0.14285714rem;
 @font-size-sm: 0.85714286rem;
 @heading-1-size: ceil(@font-size-base * 2.71);
 @heading-2-size: ceil(@font-size-base * 2.14);
 @heading-3-size: ceil(@font-size-base * 1.71);
 @heading-4-size: ceil(@font-size-base * 1.42);
 @heading-5-size: ceil(@font-size-base * 1.14);
 @line-height-base: 1.5715;
 @border-radius-base: 0.14285714rem;
 @border-radius-sm: @border-radius-base;
 @padding-lg: 1.71428571rem;
 @padding-md: 1.14285714rem;
 @padding-sm: 0.85714286rem;
 @padding-xs: 0.57142857rem;
 @padding-xss: 0.28571429rem;
 @control-padding-horizontal: @padding-sm;
 @control-padding-horizontal-sm: @padding-xs;
 @margin-lg: 1.71428571rem;
 @margin-md: 1.14285714rem;
 @margin-sm: 0.85714286rem;
 @margin-xs: 0.57142857rem;
 @margin-xss: 0.28571429rem;
 @height-base: 2.28571429rem;
 @height-lg: 2.85714286rem;
 @height-sm: 1.71428571rem;
 @item-active-bg: @primary-1;
 @item-hover-bg: #f5f5f5;
 @iconfont-css-prefix: anticon;
 @link-color: @primary-color;
 @link-hover-color: color(~`colorPalette('@{link-color}', 5) `);
 @link-active-color: color(~`colorPalette('@{link-color}', 7) `);
 @link-decoration: none;
 @link-hover-decoration: none;
 @link-focus-decoration: none;
 @link-focus-outline: 0;
 @ease-base-out: cubic-bezier(0.7, 0.3, 0.1, 1);
 @ease-base-in: cubic-bezier(0.9, 0, 0.3, 0.7);
 @ease-out: cubic-bezier(0.215, 0.61, 0.355, 1);
 @ease-in: cubic-bezier(0.55, 0.055, 0.675, 0.19);
 @ease-in-out: cubic-bezier(0.645, 0.045, 0.355, 1);
 @ease-out-back: cubic-bezier(0.12, 0.4, 0.29, 1.46);
 @ease-in-back: cubic-bezier(0.71, -0.46, 0.88, 0.6);
 @ease-in-out-back: cubic-bezier(0.71, -0.46, 0.29, 1.46);
 @ease-out-circ: cubic-bezier(0.08, 0.82, 0.17, 1);
 @ease-in-circ: cubic-bezier(0.6, 0.04, 0.98, 0.34);
 @ease-in-out-circ: cubic-bezier(0.78, 0.14, 0.15, 0.86);
 @ease-out-quint: cubic-bezier(0.23, 1, 0.32, 1);
 @ease-in-quint: cubic-bezier(0.755, 0.05, 0.855, 0.06);
 @ease-in-out-quint: cubic-bezier(0.86, 0, 0.07, 1);
 @border-color-base: hsv(0, 0, 85%);
 @border-color-split: hsv(0, 0, 94%);
 @border-color-inverse: @white;
 @border-width-base: 0.07142857rem;
 @border-style-base: solid;
 @outline-blur-size: 0;
 @outline-width: 0.14285714rem;
 @outline-color: @primary-color;
 @outline-fade: 20%;
 @background-color-light: hsv(0, 0, 98%);
 @background-color-base: hsv(0, 0, 96%);
 @disabled-color: fade(#000, 25%);
 @disabled-bg: @background-color-base;
 @disabled-active-bg: tint(@black, 90%);
 @disabled-color-dark: fade(#fff, 35%);
 @shadow-color: rgba(0, 0, 0, 0.15);
 @shadow-color-inverse: @component-background;
 @box-shadow-base: @shadow-2;
 @shadow-1-up: 0 -0.42857143rem 1.14285714rem -0.57142857rem rgba(0, 0, 0, 0.08), 0 -0.64285714rem 2.00000000rem 0 rgba(0, 0, 0, 0.05), 0 -0.85714286rem 3.42857143rem 1.14285714rem rgba(0, 0, 0, 0.03);
 @shadow-1-down: 0 0.42857143rem 1.14285714rem -0.57142857rem rgba(0, 0, 0, 0.08), 0 0.64285714rem 2.00000000rem 0 rgba(0, 0, 0, 0.05), 0 0.85714286rem 3.42857143rem 1.14285714rem rgba(0, 0, 0, 0.03);
 @shadow-1-left: -0.42857143rem 0 1.14285714rem -0.57142857rem rgba(0, 0, 0, 0.08), -0.64285714rem 0 2.00000000rem 0 rgba(0, 0, 0, 0.05), -0.85714286rem 0 3.42857143rem 1.14285714rem rgba(0, 0, 0, 0.03);
 @shadow-1-right: 0.42857143rem 0 1.14285714rem -0.57142857rem rgba(0, 0, 0, 0.08), 0.64285714rem 0 2.00000000rem 0 rgba(0, 0, 0, 0.05), 0.85714286rem 0 3.42857143rem 1.14285714rem rgba(0, 0, 0, 0.03);
 @shadow-2: 0 0.21428571rem 0.42857143rem -0.28571429rem rgba(0, 0, 0, 0.12), 0 0.42857143rem 1.14285714rem 0 rgba(0, 0, 0, 0.08), 0 0.64285714rem 2.00000000rem 0.57142857rem rgba(0, 0, 0, 0.05);
 @btn-font-weight: 400;
 @btn-border-radius-base: @border-radius-base;
 @btn-border-radius-sm: @border-radius-base;
 @btn-border-width: @border-width-base;
 @btn-border-style: @border-style-base;
 @btn-shadow: 0 0.14285714rem 0 rgba(0, 0, 0, 0.015);
 @btn-primary-shadow: 0 0.14285714rem 0 rgba(0, 0, 0, 0.045);
 @btn-text-shadow: 0 -0.07142857rem 0 rgba(0, 0, 0, 0.12);
 @btn-primary-color: #fff;
 @btn-primary-bg: @primary-color;
 @btn-default-color: @text-color;
 @btn-default-bg: @component-background;
 @btn-default-border: @border-color-base;
 @btn-danger-color: #fff;
 @btn-danger-bg: @error-color;
 @btn-danger-border: @error-color;
 @btn-disable-color: @disabled-color;
 @btn-disable-bg: @disabled-bg;
 @btn-disable-border: @border-color-base;
 @btn-default-ghost-color: @component-background;
 @btn-default-ghost-bg: transparent;
 @btn-default-ghost-border: @component-background;
 @btn-font-size-lg: @font-size-lg;
 @btn-font-size-sm: @font-size-base;
 @btn-padding-horizontal-base: @padding-md - 0.07142857rem;
 @btn-padding-horizontal-lg: @btn-padding-horizontal-base;
 @btn-padding-horizontal-sm: @padding-xs - 0.07142857rem;
 @btn-height-base: @height-base;
 @btn-height-lg: @height-lg;
 @btn-height-sm: @height-sm;
 @btn-line-height: @line-height-base;
 @btn-circle-size: @btn-height-base;
 @btn-circle-size-lg: @btn-height-lg;
 @btn-circle-size-sm: @btn-height-sm;
 @btn-square-size: @btn-height-base;
 @btn-square-size-lg: @btn-height-lg;
 @btn-square-size-sm: @btn-height-sm;
 @btn-square-only-icon-size: @font-size-base + 0.14285714rem;
 @btn-square-only-icon-size-sm: @font-size-base;
 @btn-square-only-icon-size-lg: @btn-font-size-lg + 0.14285714rem;
 @btn-group-border: @primary-5;
 @btn-link-hover-bg: transparent;
 @btn-text-hover-bg: rgba(0, 0, 0, 0.018);
 @checkbox-size: 1.14285714rem;
 @checkbox-color: @primary-color;
 @checkbox-check-color: #fff;
 @checkbox-check-bg: @checkbox-check-color;
 @checkbox-border-width: @border-width-base;
 @checkbox-border-radius: @border-radius-base;
 @checkbox-group-item-margin-right: 0.57142857rem;
 @descriptions-bg: #fafafa;
 @descriptions-title-margin-bottom: 1.42857143rem;
 @descriptions-default-padding: @padding-md @padding-lg;
 @descriptions-middle-padding: @padding-sm @padding-lg;
 @descriptions-small-padding: @padding-xs @padding-md;
 @descriptions-item-padding-bottom: @padding-md;
 @descriptions-item-trailing-colon: true;
 @descriptions-item-label-colon-margin-right: 0.57142857rem;
 @descriptions-item-label-colon-margin-left: 0.14285714rem;
 @descriptions-extra-color: @text-color;
 @divider-text-padding: 1em;
 @divider-orientation-margin: 5%;
 @divider-color: rgba(0, 0, 0, 6%);
 @divider-vertical-gutter: 0.57142857rem;
 @dropdown-selected-color: @primary-color;
 @dropdown-menu-submenu-disabled-bg: @component-background;
 @dropdown-selected-bg: @item-active-bg;
 @empty-font-size: @font-size-base;
 @radio-size: 1.14285714rem;
 @radio-top: 0.2em;
 @radio-border-width: 0.07142857rem;
 @radio-dot-size: @radio-size - 0.57142857rem;
 @radio-dot-color: @primary-color;
 @radio-dot-disabled-color: fade(@black, 20%);
 @radio-solid-checked-color: @component-background;
 @radio-button-bg: @btn-default-bg;
 @radio-button-checked-bg: @btn-default-bg;
 @radio-button-color: @btn-default-color;
 @radio-button-hover-color: @primary-5;
 @radio-button-active-color: @primary-7;
 @radio-button-padding-horizontal: @padding-md - 0.07142857rem;
 @radio-disabled-button-checked-bg: @disabled-active-bg;
 @radio-disabled-button-checked-color: @disabled-color;
 @radio-wrapper-margin-right: 0.57142857rem;
 @screen-xs: 34.28571429rem;
 @screen-xs-min: @screen-xs;
 @screen-sm: 41.14285714rem;
 @screen-sm-min: @screen-sm;
 @screen-md: 54.85714286rem;
 @screen-md-min: @screen-md;
 @screen-lg: 70.85714286rem;
 @screen-lg-min: @screen-lg;
 @screen-xl: 85.71428571rem;
 @screen-xl-min: @screen-xl;
 @screen-xxl: 114.28571429rem;
 @screen-xxl-min: @screen-xxl;
 @screen-xs-max: (@screen-sm-min - 0.07142857rem);
 @screen-sm-max: (@screen-md-min - 0.07142857rem);
 @screen-md-max: (@screen-lg-min - 0.07142857rem);
 @screen-lg-max: (@screen-xl-min - 0.07142857rem);
 @screen-xl-max: (@screen-xxl-min - 0.07142857rem);
 @grid-columns: 24;
 @layout-body-background: #f0f2f5;
 @layout-header-background: #001529;
 @layout-header-height: 4.57142857rem;
 @layout-header-padding: 0 3.57142857rem;
 @layout-header-color: @text-color;
 @layout-footer-padding: 1.71428571rem 3.57142857rem;
 @layout-footer-background: @layout-body-background;
 @layout-sider-background: @layout-header-background;
 @layout-trigger-height: 3.42857143rem;
 @layout-trigger-background: #002140;
 @layout-trigger-color: #fff;
 @layout-zero-trigger-width: 2.57142857rem;
 @layout-zero-trigger-height: 3.00000000rem;
 @layout-sider-background-light: #fff;
 @layout-trigger-background-light: #fff;
 @layout-trigger-color-light: @text-color;
 @zindex-badge: auto;
 @zindex-table-fixed: 2;
 @zindex-affix: 10;
 @zindex-back-top: 10;
 @zindex-picker-panel: 10;
 @zindex-popup-close: 10;
 @zindex-modal: 1000;
 @zindex-modal-mask: 1000;
 @zindex-message: 1010;
 @zindex-notification: 1010;
 @zindex-popover: 1030;
 @zindex-dropdown: 1050;
 @zindex-picker: 1050;
 @zindex-popoconfirm: 1060;
 @zindex-tooltip: 1070;
 @zindex-image: 1080;
 @animation-duration-slow: 0.3s;
 @animation-duration-base: 0.2s;
 @animation-duration-fast: 0.1s;
 @collapse-panel-border-radius: @border-radius-base;
 @dropdown-menu-bg: @component-background;
 @dropdown-vertical-padding: 0.35714286rem;
 @dropdown-edge-child-vertical-padding: 0.28571429rem;
 @dropdown-font-size: @font-size-base;
 @dropdown-line-height: 1.57142857rem;
 @label-required-color: @highlight-color;
 @label-color: @heading-color;
 @form-warning-input-bg: @input-bg;
 @form-item-margin-bottom: 1.71428571rem;
 @form-item-trailing-colon: true;
 @form-vertical-label-padding: 0 0 0.57142857rem;
 @form-vertical-label-margin: 0;
 @form-item-label-font-size: @font-size-base;
 @form-item-label-height: @input-height-base;
 @form-item-label-colon-margin-right: 0.57142857rem;
 @form-item-label-colon-margin-left: 0.14285714rem;
 @form-error-input-bg: @input-bg;
 @input-height-base: @height-base;
 @input-height-lg: @height-lg;
 @input-height-sm: @height-sm;
 @input-padding-horizontal: @control-padding-horizontal - 0.07142857rem;
 @input-padding-horizontal-base: @input-padding-horizontal;
 @input-padding-horizontal-sm: @control-padding-horizontal-sm - 0.07142857rem;
 @input-padding-horizontal-lg: @input-padding-horizontal;
 @input-padding-vertical-base: max( (round(((@input-height-base - @font-size-base * @line-height-base) / 2) * 10) / 10) - @border-width-base, 0.21428571rem );
 @input-padding-vertical-sm: max( (round(((@input-height-sm - @font-size-base * @line-height-base) / 2) * 10) / 10) - @border-width-base, 0 );
 @input-padding-vertical-lg: ( ceil(((@input-height-lg - @font-size-lg * @line-height-base) / 2) * 10) / 10 ) - @border-width-base;
 @input-placeholder-color: hsv(0, 0, 75%);
 @input-color: @text-color;
 @input-icon-color: @input-color;
 @input-border-color: @border-color-base;
 @input-bg: @component-background;
 @input-number-hover-border-color: @input-hover-border-color;
 @input-number-handler-active-bg: #f4f4f4;
 @input-number-handler-hover-bg: @primary-5;
 @input-number-handler-bg: @component-background;
 @input-number-handler-border-color: @border-color-base;
 @input-addon-bg: @background-color-light;
 @input-hover-border-color: @primary-5;
 @input-disabled-bg: @disabled-bg;
 @input-outline-offset: 0 0;
 @input-icon-hover-color: fade(@black, 85%);
 @input-disabled-color: @disabled-color;
 @mentions-dropdown-bg: @component-background;
 @mentions-dropdown-menu-item-hover-bg: @mentions-dropdown-bg;
 @select-border-color: @border-color-base;
 @select-item-selected-color: @text-color;
 @select-item-selected-font-weight: 600;
 @select-dropdown-bg: @component-background;
 @select-item-selected-bg: @primary-1;
 @select-item-active-bg: @item-hover-bg;
 @select-dropdown-vertical-padding: @dropdown-vertical-padding;
 @select-dropdown-font-size: @dropdown-font-size;
 @select-dropdown-line-height: @dropdown-line-height;
 @select-dropdown-height: 2.28571429rem;
 @select-background: @component-background;
 @select-clear-background: @select-background;
 @select-selection-item-bg: @background-color-base;
 @select-selection-item-border-color: @border-color-split;
 @select-single-item-height-lg: 2.85714286rem;
 @select-multiple-item-height: @input-height-base - @input-padding-vertical-base * 2;
 @select-multiple-item-height-lg: 2.28571429rem;
 @select-multiple-item-spacing-half: ceil((@input-padding-vertical-base / 2));
 @select-multiple-disabled-background: @input-disabled-bg;
 @select-multiple-item-disabled-color: #bfbfbf;
 @select-multiple-item-disabled-border-color: @select-border-color;
 @cascader-bg: @component-background;
 @cascader-item-selected-bg: @primary-1;
 @cascader-menu-bg: @component-background;
 @cascader-menu-border-color-split: @border-color-split;
 @cascader-dropdown-vertical-padding: @dropdown-vertical-padding;
 @cascader-dropdown-edge-child-vertical-padding: @dropdown-edge-child-vertical-padding;
 @cascader-dropdown-font-size: @dropdown-font-size;
 @cascader-dropdown-line-height: @dropdown-line-height;
 @anchor-bg: transparent;
 @anchor-border-color: @border-color-split;
 @anchor-link-top: 0.50000000rem;
 @anchor-link-left: 1.14285714rem;
 @anchor-link-padding: @anchor-link-top 0 @anchor-link-top @anchor-link-left;
 @tooltip-max-width: 17.85714286rem;
 @tooltip-color: #fff;
 @tooltip-bg: rgba(0, 0, 0, 0.75);
 @tooltip-arrow-width: 0.35714286rem;
 @tooltip-distance: @tooltip-arrow-width - 0.07142857rem + 0.28571429rem;
 @tooltip-arrow-color: @tooltip-bg;
 @popover-bg: @component-background;
 @popover-color: @text-color;
 @popover-min-width: 12.64285714rem;
 @popover-min-height: 2.28571429rem;
 @popover-arrow-width: 0.42857143rem;
 @popover-arrow-color: @popover-bg;
 @popover-arrow-outer-color: @popover-bg;
 @popover-distance: @popover-arrow-width + 0.28571429rem;
 @popover-padding-horizontal: @padding-md;
 @modal-header-padding-vertical: @padding-md;
 @modal-header-padding-horizontal: @padding-lg;
 @modal-body-padding: @padding-lg;
 @modal-header-bg: @component-background;
 @modal-header-padding: @modal-header-padding-vertical @modal-header-padding-horizontal;
 @modal-header-border-width: @border-width-base;
 @modal-header-border-style: @border-style-base;
 @modal-header-title-line-height: 1.57142857rem;
 @modal-header-title-font-size: @font-size-lg;
 @modal-header-border-color-split: @border-color-split;
 @modal-header-close-size: 4.00000000rem;
 @modal-content-bg: @component-background;
 @modal-heading-color: @heading-color;
 @modal-close-color: @text-color-secondary;
 @modal-footer-bg: transparent;
 @modal-footer-border-color-split: @border-color-split;
 @modal-footer-border-style: @border-style-base;
 @modal-footer-padding-vertical: 0.71428571rem;
 @modal-footer-padding-horizontal: 1.14285714rem;
 @modal-footer-border-width: @border-width-base;
 @modal-mask-bg: fade(@black, 45%);
 @modal-confirm-body-padding: 2.28571429rem 2.28571429rem 1.71428571rem;
 @modal-confirm-title-font-size: @font-size-lg;
 @progress-default-color: @processing-color;
 @progress-remaining-color: @background-color-base;
 @progress-info-text-color: @progress-text-color;
 @progress-radius: 7.14285714rem;
 @progress-steps-item-bg: #f3f3f3;
 @progress-text-font-size: 1em;
 @progress-text-color: @text-color;
 @progress-circle-text-font-size: 1em;
 @menu-inline-toplevel-item-height: 2.85714286rem;
 @menu-item-height: 2.85714286rem;
 @menu-item-group-height: @line-height-base;
 @menu-collapsed-width: 5.71428571rem;
 @menu-bg: @component-background;
 @menu-popup-bg: @component-background;
 @menu-item-color: @text-color;
 @menu-inline-submenu-bg: @background-color-light;
 @menu-highlight-color: @primary-color;
 @menu-highlight-danger-color: @error-color;
 @menu-item-active-bg: @primary-1;
 @menu-item-active-danger-bg: @red-1;
 @menu-item-active-border-width: 0.21428571rem;
 @menu-item-group-title-color: @text-color-secondary;
 @menu-item-vertical-margin: 0.28571429rem;
 @menu-item-font-size: @font-size-base;
 @menu-item-boundary-margin: 0.57142857rem;
 @menu-item-padding-horizontal: 1.42857143rem;
 @menu-item-padding: 0 @menu-item-padding-horizontal;
 @menu-horizontal-line-height: 3.28571429rem;
 @menu-icon-margin-right: 0.71428571rem;
 @menu-icon-size: @menu-item-font-size;
 @menu-icon-size-lg: @font-size-lg;
 @menu-item-group-title-font-size: @menu-item-font-size;
 @menu-dark-color: @text-color-secondary-dark;
 @menu-dark-danger-color: @error-color;
 @menu-dark-bg: @layout-header-background;
 @menu-dark-arrow-color: #fff;
 @menu-dark-inline-submenu-bg: #000c17;
 @menu-dark-highlight-color: #fff;
 @menu-dark-item-active-bg: @primary-color;
 @menu-dark-item-active-danger-bg: @error-color;
 @menu-dark-selected-item-icon-color: @white;
 @menu-dark-selected-item-text-color: @white;
 @menu-dark-item-hover-bg: transparent;
 @spin-dot-size-sm: 1.00000000rem;
 @spin-dot-size: 1.42857143rem;
 @spin-dot-size-lg: 2.28571429rem;
 @table-bg: @component-background;
 @table-header-bg: @background-color-light;
 @table-header-color: @heading-color;
 @table-header-sort-bg: @background-color-base;
 @table-body-sort-bg: #fafafa;
 @table-row-hover-bg: @background-color-light;
 @table-selected-row-color: inherit;
 @table-selected-row-bg: @primary-1;
 @table-body-selected-sort-bg: @table-selected-row-bg;
 @table-selected-row-hover-bg: darken(@table-selected-row-bg, 2%);
 @table-expanded-row-bg: #fbfbfb;
 @table-padding-vertical: 1.14285714rem;
 @table-padding-horizontal: 1.14285714rem;
 @table-padding-vertical-md: (@table-padding-vertical * 3 / 4);
 @table-padding-horizontal-md: (@table-padding-horizontal / 2);
 @table-padding-vertical-sm: (@table-padding-vertical / 2);
 @table-padding-horizontal-sm: (@table-padding-horizontal / 2);
 @table-border-color: @border-color-split;
 @table-border-radius-base: @border-radius-base;
 @table-footer-bg: @background-color-light;
 @table-footer-color: @heading-color;
 @table-header-bg-sm: @table-header-bg;
 @table-font-size: @font-size-base;
 @table-font-size-md: @table-font-size;
 @table-font-size-sm: @table-font-size;
 @table-header-cell-split-color: rgba(0, 0, 0, 0.06);
 @table-header-sort-active-bg: rgba(0, 0, 0, 0.04);
 @table-fixed-header-sort-active-bg: hsv(0, 0, 96%);
 @table-header-filter-active-bg: rgba(0, 0, 0, 0.04);
 @table-filter-btns-bg: inherit;
 @table-filter-dropdown-bg: @component-background;
 @table-expand-icon-bg: @component-background;
 @table-selection-column-width: 2.28571429rem;
 @table-sticky-scroll-bar-bg: fade(#000, 35%);
 @table-sticky-scroll-bar-radius: 0.28571429rem;
 @tag-default-bg: @background-color-light;
 @tag-default-color: @text-color;
 @tag-font-size: @font-size-sm;
 @tag-line-height: 1.42857143rem;
 @picker-bg: @component-background;
 @picker-basic-cell-hover-color: @item-hover-bg;
 @picker-basic-cell-active-with-range-color: @primary-1;
 @picker-basic-cell-hover-with-range-color: lighten(@primary-color, 35%);
 @picker-basic-cell-disabled-bg: rgba(0, 0, 0, 0.04);
 @picker-border-color: @border-color-split;
 @picker-date-hover-range-border-color: lighten(@primary-color, 20%);
 @picker-date-hover-range-color: @picker-basic-cell-hover-with-range-color;
 @picker-time-panel-column-width: 4.00000000rem;
 @picker-time-panel-column-height: 16.00000000rem;
 @picker-time-panel-cell-height: 2.00000000rem;
 @picker-panel-cell-height: 1.71428571rem;
 @picker-panel-cell-width: 2.57142857rem;
 @picker-text-height: 2.85714286rem;
 @picker-panel-without-time-cell-height: 4.71428571rem;
 @calendar-bg: @component-background;
 @calendar-input-bg: @input-bg;
 @calendar-border-color: @border-color-inverse;
 @calendar-item-active-bg: @item-active-bg;
 @calendar-column-active-bg: fade(@calendar-item-active-bg, 20%);
 @calendar-full-bg: @calendar-bg;
 @calendar-full-panel-bg: @calendar-full-bg;
 @carousel-dot-width: 1.14285714rem;
 @carousel-dot-height: 0.21428571rem;
 @carousel-dot-active-width: 1.71428571rem;
 @badge-height: 1.42857143rem;
 @badge-height-sm: 1.00000000rem;
 @badge-dot-size: 0.42857143rem;
 @badge-font-size: @font-size-sm;
 @badge-font-size-sm: @font-size-sm;
 @badge-font-weight: normal;
 @badge-status-size: 0.42857143rem;
 @badge-text-color: @component-background;
 @badge-color: @highlight-color;
 @rate-star-color: @yellow-6;
 @rate-star-bg: @border-color-split;
 @rate-star-size: 1.42857143rem;
 @rate-star-hover-scale: scale(1.1);
 @card-head-color: @heading-color;
 @card-head-background: transparent;
 @card-head-font-size: @font-size-lg;
 @card-head-font-size-sm: @font-size-base;
 @card-head-padding: 1.14285714rem;
 @card-head-padding-sm: (@card-head-padding / 2);
 @card-head-height: 3.42857143rem;
 @card-head-height-sm: 2.57142857rem;
 @card-inner-head-padding: 0.85714286rem;
 @card-padding-base: 1.71428571rem;
 @card-padding-base-sm: (@card-padding-base / 2);
 @card-actions-background: @component-background;
 @card-actions-li-margin: 0.85714286rem 0;
 @card-skeleton-bg: #cfd8dc;
 @card-background: @component-background;
 @card-shadow: 0 0.07142857rem 0.14285714rem -0.14285714rem rgba(0, 0, 0, 0.16), 0 0.21428571rem 0.42857143rem 0 rgba(0, 0, 0, 0.12), 0 0.35714286rem 0.85714286rem 0.28571429rem rgba(0, 0, 0, 0.09);
 @card-radius: @border-radius-base;
 @card-head-tabs-margin-bottom: -1.21428571rem;
 @card-head-extra-color: @text-color;
 @comment-bg: inherit;
 @comment-padding-base: @padding-md 0;
 @comment-nest-indent: 3.14285714rem;
 @comment-font-size-base: @font-size-base;
 @comment-font-size-sm: @font-size-sm;
 @comment-author-name-color: @text-color-secondary;
 @comment-author-time-color: #ccc;
 @comment-action-color: @text-color-secondary;
 @comment-action-hover-color: #595959;
 @comment-actions-margin-bottom: inherit;
 @comment-actions-margin-top: @margin-sm;
 @comment-content-detail-p-margin-bottom: inherit;
 @tabs-card-head-background: @background-color-light;
 @tabs-card-height: 2.85714286rem;
 @tabs-card-active-color: @primary-color;
 @tabs-card-horizontal-padding: ( (@tabs-card-height - floor(@font-size-base * @line-height-base)) / 2 ) - @border-width-base @padding-md;
 @tabs-card-horizontal-padding-sm: 0.42857143rem @padding-md;
 @tabs-card-horizontal-padding-lg: 0.50000000rem @padding-md 0.42857143rem;
 @tabs-title-font-size: @font-size-base;
 @tabs-title-font-size-lg: @font-size-lg;
 @tabs-title-font-size-sm: @font-size-base;
 @tabs-ink-bar-color: @primary-color;
 @tabs-bar-margin: 0 0 @margin-md 0;
 @tabs-horizontal-gutter: 2.28571429rem;
 @tabs-horizontal-margin: 0 0 0 @tabs-horizontal-gutter;
 @tabs-horizontal-margin-rtl: 0 0 0 2.28571429rem;
 @tabs-horizontal-padding: @padding-sm 0;
 @tabs-horizontal-padding-lg: @padding-md 0;
 @tabs-horizontal-padding-sm: @padding-xs 0;
 @tabs-vertical-padding: @padding-xs @padding-lg;
 @tabs-vertical-margin: @margin-md 0 0 0;
 @tabs-scrolling-size: 2.28571429rem;
 @tabs-highlight-color: @primary-color;
 @tabs-hover-color: @primary-5;
 @tabs-active-color: @primary-7;
 @tabs-card-gutter: 0.14285714rem;
 @tabs-card-tab-active-border-top: 0.14285714rem solid transparent;
 @back-top-color: #fff;
 @back-top-bg: @text-color-secondary;
 @back-top-hover-bg: @text-color;
 @avatar-size-base: 2.28571429rem;
 @avatar-size-lg: 2.85714286rem;
 @avatar-size-sm: 1.71428571rem;
 @avatar-font-size-base: 1.28571429rem;
 @avatar-font-size-lg: 1.71428571rem;
 @avatar-font-size-sm: 1.00000000rem;
 @avatar-bg: #ccc;
 @avatar-color: #fff;
 @avatar-border-radius: @border-radius-base;
 @avatar-group-overlapping: -0.57142857rem;
 @avatar-group-space: 0.21428571rem;
 @avatar-group-border-color: #fff;
 @switch-height: 1.57142857rem;
 @switch-sm-height: 1.14285714rem;
 @switch-min-width: 3.14285714rem;
 @switch-sm-min-width: 2.00000000rem;
 @switch-disabled-opacity: 0.4;
 @switch-color: @primary-color;
 @switch-bg: @component-background;
 @switch-shadow-color: fade(#00230b, 20%);
 @switch-padding: 0.14285714rem;
 @switch-inner-margin-min: ceil(@switch-height * 0.3);
 @switch-inner-margin-max: ceil(@switch-height * 1.1);
 @switch-sm-inner-margin-min: ceil(@switch-sm-height * 0.3);
 @switch-sm-inner-margin-max: ceil(@switch-sm-height * 1.1);
 @pagination-item-bg: @component-background;
 @pagination-item-size: @height-base;
 @pagination-item-size-sm: 1.71428571rem;
 @pagination-font-family: @font-family;
 @pagination-font-weight-active: 500;
 @pagination-item-bg-active: @component-background;
 @pagination-item-link-bg: @component-background;
 @pagination-item-disabled-color-active: @disabled-color;
 @pagination-item-disabled-bg-active: @disabled-active-bg;
 @pagination-item-input-bg: @component-background;
 @pagination-mini-options-size-changer-top: 0.00000000rem;
 @page-header-padding: @padding-lg;
 @page-header-padding-vertical: @padding-md;
 @page-header-padding-breadcrumb: @padding-sm;
 @page-header-content-padding-vertical: @padding-sm;
 @page-header-back-color: #000;
 @page-header-ghost-bg: inherit;
 @page-header-heading-title: @heading-4-size;
 @page-header-heading-sub-title: 1.00000000rem;
 @page-header-tabs-tab-font-size: 1.14285714rem;
 @breadcrumb-base-color: @text-color-secondary;
 @breadcrumb-last-item-color: @text-color;
 @breadcrumb-font-size: @font-size-base;
 @breadcrumb-icon-font-size: @font-size-base;
 @breadcrumb-link-color: @text-color-secondary;
 @breadcrumb-link-color-hover: @primary-5;
 @breadcrumb-separator-color: @text-color-secondary;
 @breadcrumb-separator-margin: 0 @padding-xs;
 @slider-margin: 0.71428571rem 0.42857143rem 0.71428571rem;
 @slider-rail-background-color: @background-color-base;
 @slider-rail-background-color-hover: #e1e1e1;
 @slider-track-background-color: @primary-3;
 @slider-track-background-color-hover: @primary-4;
 @slider-handle-border-width: 0.14285714rem;
 @slider-handle-background-color: @component-background;
 @slider-handle-color: @primary-3;
 @slider-handle-color-hover: @primary-4;
 @slider-handle-color-focus: tint(@primary-color, 20%);
 @slider-handle-color-focus-shadow: fade(@primary-color, 12%);
 @slider-handle-color-tooltip-open: @primary-color;
 @slider-handle-size: 1.00000000rem;
 @slider-handle-margin-top: -0.35714286rem;
 @slider-handle-shadow: 0;
 @slider-dot-border-color: @border-color-split;
 @slider-dot-border-color-active: tint(@primary-color, 50%);
 @slider-disabled-color: @disabled-color;
 @slider-disabled-background-color: @component-background;
 @tree-bg: @component-background;
 @tree-title-height: 1.71428571rem;
 @tree-child-padding: 1.28571429rem;
 @tree-directory-selected-color: #fff;
 @tree-directory-selected-bg: @primary-color;
 @tree-node-hover-bg: @item-hover-bg;
 @tree-node-selected-bg: @primary-2;
 @collapse-header-padding: @padding-sm @padding-md;
 @collapse-header-padding-extra: 2.85714286rem;
 @collapse-header-bg: @background-color-light;
 @collapse-content-padding: @padding-md;
 @collapse-content-bg: @component-background;
 @collapse-header-arrow-left: 1.14285714rem;
 @skeleton-color: rgba(190, 190, 190, 0.2);
 @skeleton-to-color: shade(@skeleton-color, 5%);
 @skeleton-paragraph-margin-top: 2.00000000rem;
 @skeleton-paragraph-li-margin-top: @margin-md;
 @skeleton-paragraph-li-height: 1.14285714rem;
 @skeleton-title-height: 1.14285714rem;
 @skeleton-title-paragraph-margin-top: @margin-lg;
 @transfer-header-height: 2.85714286rem;
 @transfer-item-height: @height-base;
 @transfer-disabled-bg: @disabled-bg;
 @transfer-list-height: 14.28571429rem;
 @transfer-item-hover-bg: @item-hover-bg;
 @transfer-item-selected-hover-bg: darken(@item-active-bg, 2%);
 @transfer-item-padding-vertical: 0.42857143rem;
 @transfer-list-search-icon-top: 0.85714286rem;
 @message-notice-content-padding: 0.71428571rem 1.14285714rem;
 @message-notice-content-bg: @component-background;
 @wave-animation-width: 0.42857143rem;
 @alert-success-border-color: ~`colorPalette('@{success-color}', 3) `;
 @alert-success-bg-color: ~`colorPalette('@{success-color}', 1) `;
 @alert-success-icon-color: @success-color;
 @alert-info-border-color: ~`colorPalette('@{info-color}', 3) `;
 @alert-info-bg-color: ~`colorPalette('@{info-color}', 1) `;
 @alert-info-icon-color: @info-color;
 @alert-warning-border-color: ~`colorPalette('@{warning-color}', 3) `;
 @alert-warning-bg-color: ~`colorPalette('@{warning-color}', 1) `;
 @alert-warning-icon-color: @warning-color;
 @alert-error-border-color: ~`colorPalette('@{error-color}', 3) `;
 @alert-error-bg-color: ~`colorPalette('@{error-color}', 1) `;
 @alert-error-icon-color: @error-color;
 @alert-message-color: @heading-color;
 @alert-text-color: @text-color;
 @alert-close-color: @text-color-secondary;
 @alert-close-hover-color: @icon-color-hover;
 @alert-no-icon-padding-vertical: @padding-xs;
 @alert-with-description-no-icon-padding-vertical: @padding-md - 0.07142857rem;
 @alert-with-description-padding-vertical: @padding-md - 0.07142857rem;
 @alert-with-description-padding: @alert-with-description-padding-vertical 1.07142857rem @alert-with-description-no-icon-padding-vertical @alert-with-description-icon-size;
 @alert-icon-top: 0.57142857rem + @font-size-base * (@line-height-base / 2) - (@font-size-base / 2);
 @alert-with-description-icon-size: 1.71428571rem;
 @list-header-background: transparent;
 @list-footer-background: transparent;
 @list-empty-text-padding: @padding-md;
 @list-item-padding: @padding-sm 0;
 @list-item-padding-sm: @padding-xs @padding-md;
 @list-item-padding-lg: 1.14285714rem 1.71428571rem;
 @list-item-meta-margin-bottom: @padding-md;
 @list-item-meta-avatar-margin-right: @padding-md;
 @list-item-meta-title-margin-bottom: @padding-sm;
 @list-customize-card-bg: @component-background;
 @list-item-meta-description-font-size: @font-size-base;
 @statistic-title-font-size: @font-size-base;
 @statistic-content-font-size: 1.71428571rem;
 @statistic-unit-font-size: 1.71428571rem;
 @statistic-font-family: @font-family;
 @drawer-header-padding: @padding-md @padding-lg;
 @drawer-body-padding: @padding-lg;
 @drawer-bg: @component-background;
 @drawer-footer-padding-vertical: @modal-footer-padding-vertical;
 @drawer-footer-padding-horizontal: @modal-footer-padding-horizontal;
 @drawer-header-close-size: 4.00000000rem;
 @drawer-title-font-size: @font-size-lg;
 @drawer-title-line-height: 1.57142857rem;
 @timeline-width: 0.14285714rem;
 @timeline-color: @border-color-split;
 @timeline-dot-border-width: 0.14285714rem;
 @timeline-dot-color: @primary-color;
 @timeline-dot-bg: @component-background;
 @timeline-item-padding-bottom: 1.42857143rem;
 @typography-title-font-weight: 600;
 @typography-title-margin-top: 1.2em;
 @typography-title-margin-bottom: 0.5em;
 @upload-actions-color: @text-color-secondary;
 @process-tail-color: @border-color-split;
 @steps-nav-arrow-color: fade(@black, 25%);
 @steps-background: @component-background;
 @steps-icon-size: 2.28571429rem;
 @steps-icon-custom-size: @steps-icon-size;
 @steps-icon-custom-top: 0.00000000rem;
 @steps-icon-custom-font-size: 1.71428571rem;
 @steps-icon-top: -0.03571429rem;
 @steps-icon-font-size: @font-size-lg;
 @steps-icon-margin: 0 0.57142857rem 0 0;
 @steps-title-line-height: @height-base;
 @steps-small-icon-size: 1.71428571rem;
 @steps-small-icon-margin: 0 0.57142857rem 0 0;
 @steps-dot-size: 0.57142857rem;
 @steps-dot-top: 0.14285714rem;
 @steps-current-dot-size: 0.71428571rem;
 @steps-description-max-width: 10.00000000rem;
 @steps-nav-content-max-width: auto;
 @steps-vertical-icon-width: 1.14285714rem;
 @steps-vertical-tail-width: 1.14285714rem;
 @steps-vertical-tail-width-sm: 0.85714286rem;
 @notification-bg: @component-background;
 @notification-padding-vertical: 1.14285714rem;
 @notification-padding-horizontal: 1.71428571rem;
 @result-title-font-size: 1.71428571rem;
 @result-subtitle-font-size: @font-size-base;
 @result-icon-font-size: 5.14285714rem;
 @result-extra-margin: 1.71428571rem 0 0 0;
 @image-size-base: 3.42857143rem;
 @image-font-size-base: 1.71428571rem;
 @image-bg: #f5f5f5;
 @image-color: #fff;
 @image-mask-font-size: 1.14285714rem;
 @image-preview-operation-size: 1.28571429rem;
 @image-preview-operation-color: @text-color-dark;
 @image-preview-operation-disabled-color: fade(@image-preview-operation-color, 25%);
/*该颜色和之后的项目一致，采用20基础色*/
/*各组件less引入主题然后赋值给自己的实际变量值*/
/*换肤列表的相关颜色*/
/*首页过度色背景*/
/*TabMenu一级导航*/
/*MenuView主页菜单*/
/*sideMenu二级导航*/
/*login 登录*/
/*事件管理颜色定义*/
/*安全中心-安全状态，进度条颜色*/
/* 显示输出-屏幕上的数字颜色 */
/* 系统通知消息严重等级程度颜色 */
/**三方库的变量需要如下用标签包裹起来**/
/**antd**/
/**antd**/
 html, body {
     font-size: 14PX;
}
 @media screen and (min-device-width: 3000PX) {
     html, body {
         font-size: 28PX;
    }
     [class^="ptz-icon-"] {
         background-image: url('/static/media/4k_PTZ.3b8be864.png');
    }
     [class^="m-o-i-"] {
         background-image: url('/static/media/4k_icons-other.ffc307df.png');
    }
     [class^="vehicle-icon-"] {
         background-image: url('/static/media/4k_icons-cars.4eabbf47.png');
    }
     [class^="pan-i-tip-"] {
         background-image: url('/static/media/4k_device.ae735abc.png');
    }
     .m-o-diskgroup {
         background: url('/static/media/4k_diskgroup.1a878466.png') no-repeat;
    }
}
/** * 页面长度使用规则 * 1.禁止使用px和rem作为单位，包括border的宽度 * 2.使用 px/@px-unit 换算成rem：比如常规分辨率下是7.14285714rem，在less中写100/@px-unit * 3.使用前先impot基础less变量：@import '~style/main.less';
 * 4.@px-unit的数值和@font-size-base的数值相同 */
/**三方库的变量需要如下用标签包裹起来**/
/**antd**/
/**antd**/
/*TabMenu一级导航*/
/* stylelint-disable at-rule-empty-line-before,at-rule-name-space-after,at-rule-no-unknown */
/* stylelint-disable no-duplicate-selectors */
/* stylelint-disable */
/* stylelint-disable declaration-bang-space-before,no-duplicate-selectors,string-no-newline */
 [class^=ant-]::-ms-clear, [class*= ant-]::-ms-clear, [class^=ant-] input::-ms-clear, [class*= ant-] input::-ms-clear, [class^=ant-] input::-ms-reveal, [class*= ant-] input::-ms-reveal {
     display: none;
}
/* stylelint-disable property-no-vendor-prefix, at-rule-no-vendor-prefix */
 html, body {
     width: 100%;
     height: 100%;
}
 input::-ms-clear, input::-ms-reveal {
     display: none;
}
 *, *::before, *::after {
     box-sizing: border-box;
}
 html {
     font-family: sans-serif;
     line-height: 1.15;
     -webkit-text-size-adjust: 100%;
     -ms-text-size-adjust: 100%;
     -ms-overflow-style: scrollbar;
     -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
 @-ms-viewport {
     width: device-width;
}
 body {
     margin: 0;
     color: @text-color;
     font-size: 1.00000000rem;
     font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, 'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
     font-variant: tabular-nums;
     line-height: 1.5715;
     background-color: #fff;
     font-feature-settings: 'tnum';
}
 [tabindex='-1']:focus {
     outline: none !important;
}
 hr {
     box-sizing: content-box;
     height: 0;
     overflow: visible;
}
 h1, h2, h3, h4, h5, h6 {
     margin-top: 0;
     margin-bottom: 0.5em;
     color: @text-color;
     font-weight: 500;
}